classification
Title: CSV documentation doesn't open with an example
Type: Stage: resolved
Components: Documentation Versions: Python 3.6
process
Status: closed Resolution: out of date
Dependencies: Superseder:
Assigned To: docs@python Nosy List: Alex.LordThorsen, docs@python, iritkatriel
Priority: normal Keywords: patch

Created on 2016-02-28 03:18 by Alex.LordThorsen, last changed 2020-12-13 01:11 by iritkatriel. This issue is now closed.

Files
File name Uploaded Description Edit
csv_documentation.patch Alex.LordThorsen, 2016-02-28 03:18 CSV Documentation Patch review
Messages (2)
msg260960 - (view) Author: Alex LordThorsen (Alex.LordThorsen) * Date: 2016-02-28 03:18
Had a friend get stuck on the CSV documentation. They didn't know what a CSV was (to start with) and couldn't find an example that made sense to them.  they went to other sources to figure out how to read CSV files in the end.

I made this patch in the hope that starting out with a very minimal example file format followed by an example python read will make landing on the CSV docs easier to follow for new programmers.
msg381781 - (view) Author: Irit Katriel (iritkatriel) * (Python triager) Date: 2020-11-24 23:34
The example in the patch is very similar to the example that's in the doc under "A short usage example::", which is not that far below the beginning of the doc.
History
Date User Action Args
2020-12-13 01:11:29iritkatrielsetstatus: pending -> closed
resolution: out of date
stage: resolved
2020-11-24 23:34:19iritkatrielsetstatus: open -> pending
nosy: + iritkatriel
messages: + msg381781

2016-02-28 03:18:04Alex.LordThorsencreate